Index: include/histogram.h
===================================================================
--- include/histogram.h	(Revision 701)
+++ include/histogram.h	(Arbeitskopie)
@@ -27,7 +27,7 @@
 extern void histogram_set_main(unsigned int main);
 
 extern unsigned char histogram[5][HISTO_WIDTH];
-extern long exposition_thresh;
+extern unsigned long exposition_thresh;
 extern long under_exposed;
 extern long over_exposed;
 extern long histo_magnification;
Index: include/platform.h
===================================================================
--- include/platform.h	(Revision 701)
+++ include/platform.h	(Arbeitskopie)
@@ -6,11 +6,11 @@
 #define SSID_INVALID (-32767)
 #define ASID_INVALID (-32767)
 
-#define MODE_MASK               0x0300
-#define MODE_REC                0x0100
-#define MODE_PLAY               0x0200
+#define MODE_MASK               0x0300u
+#define MODE_REC                0x0100u
+#define MODE_PLAY               0x0200u
 
-#define MODE_SHOOTING_MASK      0x00FF
+#define MODE_SHOOTING_MASK      0x00FFu
 
 enum {
 MODE_AUTO               =1,
@@ -476,6 +476,7 @@
 void set_ev_video(int); 
 //dng related
 void reverse_bytes_order(char* start, int count); 
+void reverse_bytes_order_target(char* start, int count, char* dest);
 void save_ext_for_dng(void);
 void change_ext_to_dng(void);
 void change_ext_to_default(void);
Index: include/conf.h
===================================================================
--- include/conf.h	(Revision 701)
+++ include/conf.h	(Arbeitskopie)
@@ -312,8 +312,8 @@
 
 // reyalp: putting these in conf, since the conf values are lookups for them
 // prefixes and extentions available for raw images (index with conf.raw_prefix etc)
-#define NUM_IMG_PREFIXES 3 // IMG_ CRW_ SND_ (could add ETC_ SDR_ AUT_ MVI_ MRK_)
-#define NUM_IMG_EXTS 5 // .JPG .CRW .CR2 .THM .WAV (could add .AVI .MRK)
+#define NUM_IMG_PREFIXES 9 // see conf.c for the list
+#define NUM_IMG_EXTS 8 // see conf.c for the list
 extern const char* img_prefixes[NUM_IMG_PREFIXES];
 extern const char* img_exts[NUM_IMG_EXTS];
 // ugh, but various things need it
Index: include/lolevel.h
===================================================================
--- include/lolevel.h	(Revision 701)
+++ include/lolevel.h	(Arbeitskopie)
@@ -42,6 +42,10 @@
 extern void _SleepTask(long msec);
 extern void __attribute__((noreturn)) _ExitTask();
 extern int _taskNameToId(char* taskName); // VxWorks only, task's name first letter must be 't', maximum 10 chars total 
+// for getting and setting environment variables. Those somehow seem to
+// influence time based functions, but this is mainly for playing around
+extern char* _getenv(const char* name); 
+extern int _putenv(char* string);
 extern const char *_taskName(int taskID); // VxWorks only for now
 extern int _taskIdListGet(int *idlist,int max); // VxWorks only for now
 extern void _taskSuspend(int taskId); 
Index: platform/g9/sub/100d/makefile.inc.new
===================================================================
--- platform/g9/sub/100d/makefile.inc.new	(Revision 0)
+++ platform/g9/sub/100d/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/g9/sub/100g/makefile.inc.new
===================================================================
--- platform/g9/sub/100g/makefile.inc.new	(Revision 0)
+++ platform/g9/sub/100g/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/g9/makefile.inc.new
===================================================================
--- platform/g9/makefile.inc.new	(Revision 0)
+++ platform/g9/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/s2is/sub/100e/makefile.inc.new
===================================================================
--- platform/s2is/sub/100e/makefile.inc.new	(Revision 0)
+++ platform/s2is/sub/100e/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/s2is/sub/100f/makefile.inc.new
===================================================================
--- platform/s2is/sub/100f/makefile.inc.new	(Revision 0)
+++ platform/s2is/sub/100f/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/s2is/sub/100g/makefile.inc.new
===================================================================
--- platform/s2is/sub/100g/makefile.inc.new	(Revision 0)
+++ platform/s2is/sub/100g/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/s2is/makefile.inc.new
===================================================================
--- platform/s2is/makefile.inc.new	(Revision 0)
+++ platform/s2is/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/s3is/sub/100a/makefile.inc.new
===================================================================
--- platform/s3is/sub/100a/makefile.inc.new	(Revision 0)
+++ platform/s3is/sub/100a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c mount.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/s3is/makefile.inc.new
===================================================================
--- platform/s3is/makefile.inc.new	(Revision 0)
+++ platform/s3is/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus65_sd630/sub/100a/makefile.inc.new
===================================================================
--- platform/ixus65_sd630/sub/100a/makefile.inc.new	(Revision 0)
+++ platform/ixus65_sd630/sub/100a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus65_sd630/makefile.inc.new
===================================================================
--- platform/ixus65_sd630/makefile.inc.new	(Revision 0)
+++ platform/ixus65_sd630/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/s5is/sub/101a/makefile.inc.new
===================================================================
--- platform/s5is/sub/101a/makefile.inc.new	(Revision 0)
+++ platform/s5is/sub/101a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o  lib.o movie_rec.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/s5is/sub/101b/makefile.inc.new
===================================================================
--- platform/s5is/sub/101b/makefile.inc.new	(Revision 0)
+++ platform/s5is/sub/101b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o lib.o movie_rec.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/s5is/makefile.inc.new
===================================================================
--- platform/s5is/makefile.inc.new	(Revision 0)
+++ platform/s5is/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus70_sd1000/sub/100c/makefile.inc.new
===================================================================
--- platform/ixus70_sd1000/sub/100c/makefile.inc.new	(Revision 0)
+++ platform/ixus70_sd1000/sub/100c/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus70_sd1000/sub/101b/makefile.inc.new
===================================================================
--- platform/ixus70_sd1000/sub/101b/makefile.inc.new	(Revision 0)
+++ platform/ixus70_sd1000/sub/101b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus70_sd1000/sub/102a/makefile.inc.new
===================================================================
--- platform/ixus70_sd1000/sub/102a/makefile.inc.new	(Revision 0)
+++ platform/ixus70_sd1000/sub/102a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c 
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus70_sd1000/makefile.inc.new
===================================================================
--- platform/ixus70_sd1000/makefile.inc.new	(Revision 0)
+++ platform/ixus70_sd1000/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus80_sd1100/sub/101a/makefile.inc.new
===================================================================
--- platform/ixus80_sd1100/sub/101a/makefile.inc.new	(Revision 0)
+++ platform/ixus80_sd1100/sub/101a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o lib.o debug.o ../../leds.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c debug.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus80_sd1100/sub/100c/makefile.inc.new
===================================================================
--- platform/ixus80_sd1100/sub/100c/makefile.inc.new	(Revision 0)
+++ platform/ixus80_sd1100/sub/100c/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o debug.o ../../leds.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c debug.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus80_sd1100/makefile.inc.new
===================================================================
--- platform/ixus80_sd1100/makefile.inc.new	(Revision 0)
+++ platform/ixus80_sd1100/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixusW_sd430/sub/110a/makefile.inc.new
===================================================================
--- platform/ixusW_sd430/sub/110a/makefile.inc.new	(Revision 0)
+++ platform/ixusW_sd430/sub/110a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c mount.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixusW_sd430/makefile.inc.new
===================================================================
--- platform/ixusW_sd430/makefile.inc.new	(Revision 0)
+++ platform/ixusW_sd430/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus850_sd800/sub/100e/makefile.inc.new
===================================================================
--- platform/ixus850_sd800/sub/100e/makefile.inc.new	(Revision 0)
+++ platform/ixus850_sd800/sub/100e/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus850_sd800/makefile.inc.new
===================================================================
--- platform/ixus850_sd800/makefile.inc.new	(Revision 0)
+++ platform/ixus850_sd800/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus40_sd300/sub/100j/makefile.inc.new
===================================================================
--- platform/ixus40_sd300/sub/100j/makefile.inc.new	(Revision 0)
+++ platform/ixus40_sd300/sub/100j/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus40_sd300/sub/100k/makefile.inc.new
===================================================================
--- platform/ixus40_sd300/sub/100k/makefile.inc.new	(Revision 0)
+++ platform/ixus40_sd300/sub/100k/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus40_sd300/makefile.inc.new
===================================================================
--- platform/ixus40_sd300/makefile.inc.new	(Revision 0)
+++ platform/ixus40_sd300/makefile.inc.new	(Revision 0)
@@ -0,0 +1,5 @@
+
+EXTRA_ASM_OBJS := stubs_auto.o
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/a700/sub/100b/makefile.inc.new
===================================================================
--- platform/a700/sub/100b/makefile.inc.new	(Revision 0)
+++ platform/a700/sub/100b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/a700/makefile.inc.new
===================================================================
--- platform/a700/makefile.inc.new	(Revision 0)
+++ platform/a700/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/a620/sub/100f/makefile.inc.new
===================================================================
--- platform/a620/sub/100f/makefile.inc.new	(Revision 0)
+++ platform/a620/sub/100f/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/a620/makefile.inc.new
===================================================================
--- platform/a620/makefile.inc.new	(Revision 0)
+++ platform/a620/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/a720/sub/100c/makefile.inc.new
===================================================================
--- platform/a720/sub/100c/makefile.inc.new	(Revision 0)
+++ platform/a720/sub/100c/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/a720/makefile.inc.new
===================================================================
--- platform/a720/makefile.inc.new	(Revision 0)
+++ platform/a720/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/a540/sub/100b/makefile.inc.new
===================================================================
--- platform/a540/sub/100b/makefile.inc.new	(Revision 0)
+++ platform/a540/sub/100b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/a540/makefile.inc.new
===================================================================
--- platform/a540/makefile.inc.new	(Revision 0)
+++ platform/a540/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/s80/sub/100g/makefile.inc.new
===================================================================
--- platform/s80/sub/100g/makefile.inc.new	(Revision 0)
+++ platform/s80/sub/100g/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c mount.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/s80/makefile.inc.new
===================================================================
--- platform/s80/makefile.inc.new	(Revision 0)
+++ platform/s80/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus60_sd600/sub/100a/makefile.inc.new
===================================================================
--- platform/ixus60_sd600/sub/100a/makefile.inc.new	(Revision 0)
+++ platform/ixus60_sd600/sub/100a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o  lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus60_sd600/sub/100d/makefile.inc.new
===================================================================
--- platform/ixus60_sd600/sub/100d/makefile.inc.new	(Revision 0)
+++ platform/ixus60_sd600/sub/100d/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o  lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus60_sd600/makefile.inc.new
===================================================================
--- platform/ixus60_sd600/makefile.inc.new	(Revision 0)
+++ platform/ixus60_sd600/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/a640/sub/100b/makefile.inc.new
===================================================================
--- platform/a640/sub/100b/makefile.inc.new	(Revision 0)
+++ platform/a640/sub/100b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c mount.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/a640/makefile.inc.new
===================================================================
--- platform/a640/makefile.inc.new	(Revision 0)
+++ platform/a640/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/a460/sub/100d/makefile.inc.new
===================================================================
--- platform/a460/sub/100d/makefile.inc.new	(Revision 0)
+++ platform/a460/sub/100d/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/a460/makefile.inc.new
===================================================================
--- platform/a460/makefile.inc.new	(Revision 0)
+++ platform/a460/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus960_sd950/sub/100d/makefile.inc.new
===================================================================
--- platform/ixus960_sd950/sub/100d/makefile.inc.new	(Revision 0)
+++ platform/ixus960_sd950/sub/100d/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus960_sd950/makefile.inc.new
===================================================================
--- platform/ixus960_sd950/makefile.inc.new	(Revision 0)
+++ platform/ixus960_sd950/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus860_sd870/sub/100c/makefile.inc.new
===================================================================
--- platform/ixus860_sd870/sub/100c/makefile.inc.new	(Revision 0)
+++ platform/ixus860_sd870/sub/100c/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o touch_wheel.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c touch_wheel.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus860_sd870/makefile.inc.new
===================================================================
--- platform/ixus860_sd870/makefile.inc.new	(Revision 0)
+++ platform/ixus860_sd870/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/a560/sub/100a/makefile.inc.new
===================================================================
--- platform/a560/sub/100a/makefile.inc.new	(Revision 0)
+++ platform/a560/sub/100a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c mount.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/a560/makefile.inc.new
===================================================================
--- platform/a560/makefile.inc.new	(Revision 0)
+++ platform/a560/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/tx1/sub/101b/makefile.inc.new
===================================================================
--- platform/tx1/sub/101b/makefile.inc.new	(Revision 0)
+++ platform/tx1/sub/101b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c mount.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/tx1/sub/100g/makefile.inc.new
===================================================================
--- platform/tx1/sub/100g/makefile.inc.new	(Revision 0)
+++ platform/tx1/sub/100g/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c mount.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/tx1/makefile.inc.new
===================================================================
--- platform/tx1/makefile.inc.new	(Revision 0)
+++ platform/tx1/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus55_sd450/sub/100b/makefile.inc.new
===================================================================
--- platform/ixus55_sd450/sub/100b/makefile.inc.new	(Revision 0)
+++ platform/ixus55_sd450/sub/100b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus55_sd450/sub/100c/makefile.inc.new
===================================================================
--- platform/ixus55_sd450/sub/100c/makefile.inc.new	(Revision 0)
+++ platform/ixus55_sd450/sub/100c/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus55_sd450/sub/100d/makefile.inc.new
===================================================================
--- platform/ixus55_sd450/sub/100d/makefile.inc.new	(Revision 0)
+++ platform/ixus55_sd450/sub/100d/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus55_sd450/makefile.inc.new
===================================================================
--- platform/ixus55_sd450/makefile.inc.new	(Revision 0)
+++ platform/ixus55_sd450/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus75_sd750/sub/100b/makefile.inc.new
===================================================================
--- platform/ixus75_sd750/sub/100b/makefile.inc.new	(Revision 0)
+++ platform/ixus75_sd750/sub/100b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus75_sd750/sub/101a/makefile.inc.new
===================================================================
--- platform/ixus75_sd750/sub/101a/makefile.inc.new	(Revision 0)
+++ platform/ixus75_sd750/sub/101a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c 
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus75_sd750/sub/102a/makefile.inc.new
===================================================================
--- platform/ixus75_sd750/sub/102a/makefile.inc.new	(Revision 0)
+++ platform/ixus75_sd750/sub/102a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus75_sd750/makefile.inc.new
===================================================================
--- platform/ixus75_sd750/makefile.inc.new	(Revision 0)
+++ platform/ixus75_sd750/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus700_sd500/sub/101a/makefile.inc.new
===================================================================
--- platform/ixus700_sd500/sub/101a/makefile.inc.new	(Revision 0)
+++ platform/ixus700_sd500/sub/101a/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c mount.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus700_sd500/sub/101b/makefile.inc.new
===================================================================
--- platform/ixus700_sd500/sub/101b/makefile.inc.new	(Revision 0)
+++ platform/ixus700_sd500/sub/101b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o mount.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c mount.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus700_sd500/makefile.inc.new
===================================================================
--- platform/ixus700_sd500/makefile.inc.new	(Revision 0)
+++ platform/ixus700_sd500/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
Index: platform/ixus800_sd700/sub/100b/makefile.inc.new
===================================================================
--- platform/ixus800_sd700/sub/100b/makefile.inc.new	(Revision 0)
+++ platform/ixus800_sd700/sub/100b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus800_sd700/sub/101b/makefile.inc.new
===================================================================
--- platform/ixus800_sd700/sub/101b/makefile.inc.new	(Revision 0)
+++ platform/ixus800_sd700/sub/101b/makefile.inc.new	(Revision 0)
@@ -0,0 +1,11 @@
+
+
+ASM_OBJS:= stubs_min.o stubs_auto.o stubs_entry.o stubs_entry_2.o 
+C_OBJS:= boot.o capt_seq.o movie_rec.o lib.o
+
+
+STUBS_AUTO_DEPS:=boot.c capt_seq.c movie_rec.c
+
+
+include $(subdir)/../../../makefile_sub.inc.new
+# vim: ft=make
Index: platform/ixus800_sd700/makefile.inc.new
===================================================================
--- platform/ixus800_sd700/makefile.inc.new	(Revision 0)
+++ platform/ixus800_sd700/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/platform/makefile_generic.inc.new
+
+# vim: ft=make
